curl -X PUT \
/invoices/{id} \
--header "Content-Type: application/json" \
--header "Authorization: Bearer <token>" \
--data '{
"customerId": "12345678-1234-1234-1234-123456789012",
"customerAddressId": "12345678-1234-1234-1234-123456789012",
"paymentMethodId": "12345678-1234-1234-1234-123456789012",
"currencyCode": "EUR",
"internalNote": "This is an internal note.",
"dueDate": "2021-12-31",
"positions": [
[]
],
"title": "Invoice {{ invoiceNumber }}",
"introduction": "Thank you for your order. This is the invoice for your order.",
"closing": "Do not hesitate to contact us if you have any questions.",
"customFields": {
"field1": "value1",
"field2": "value2"
}
}'import requests
url = "https://coreapi.io/invoices/{id}"
payload = {
"customerId": "12345678-1234-1234-1234-123456789012",
"customerAddressId": "12345678-1234-1234-1234-123456789012",
"paymentMethodId": "12345678-1234-1234-1234-123456789012",
"currencyCode": "EUR",
"internalNote": "This is an internal note.",
"dueDate": "2021-12-31",
"positions": [
{
"name": "Product A",
"unitId": "12345678-1234-1234-1234-123456789012",
"unitPrice": "10.0",
"taxGroupId": "12345678-1234-1234-1234-123456789012",
"id": "12345678-1234-1234-1234-123456789012",
"position": 1,
"description": "This is a product.",
"quantity": 1,
"currencyCode": "EUR",
"serviceDateFrom": "2021-01-01",
"serviceDateTo": "2021-01-31",
"discountAmount": "10.0",
"discountPercentage": 12.5,
"unitPriceInterval": "monthly",
"subscriptionItem": "12345678-1234-1234-1234-123456789012",
"product": "Product A",
"children": "<array>",
"group": {
"name": "Group A",
"ranking": 1
}
}
],
"title": "Invoice {{ invoiceNumber }}",
"introduction": "Thank you for your order. This is the invoice for your order.",
"closing": "Do not hesitate to contact us if you have any questions.",
"customFields": {
"field1": "value1",
"field2": "value2"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: '12345678-1234-1234-1234-123456789012',
customerAddressId: '12345678-1234-1234-1234-123456789012',
paymentMethodId: '12345678-1234-1234-1234-123456789012',
currencyCode: 'EUR',
internalNote: 'This is an internal note.',
dueDate: '2021-12-31',
positions: [
{
name: 'Product A',
unitId: '12345678-1234-1234-1234-123456789012',
unitPrice: '10.0',
taxGroupId: '12345678-1234-1234-1234-123456789012',
id: '12345678-1234-1234-1234-123456789012',
position: 1,
description: 'This is a product.',
quantity: 1,
currencyCode: 'EUR',
serviceDateFrom: '2021-01-01',
serviceDateTo: '2021-01-31',
discountAmount: '10.0',
discountPercentage: 12.5,
unitPriceInterval: 'monthly',
subscriptionItem: '12345678-1234-1234-1234-123456789012',
product: 'Product A',
children: '<array>',
group: {name: 'Group A', ranking: 1}
}
],
title: 'Invoice {{ invoiceNumber }}',
introduction: 'Thank you for your order. This is the invoice for your order.',
closing: 'Do not hesitate to contact us if you have any questions.',
customFields: {field1: 'value1', field2: 'value2'}
})
};
fetch('https://coreapi.io/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/invoices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'customerId' => '12345678-1234-1234-1234-123456789012',
'customerAddressId' => '12345678-1234-1234-1234-123456789012',
'paymentMethodId' => '12345678-1234-1234-1234-123456789012',
'currencyCode' => 'EUR',
'internalNote' => 'This is an internal note.',
'dueDate' => '2021-12-31',
'positions' => [
[
'name' => 'Product A',
'unitId' => '12345678-1234-1234-1234-123456789012',
'unitPrice' => '10.0',
'taxGroupId' => '12345678-1234-1234-1234-123456789012',
'id' => '12345678-1234-1234-1234-123456789012',
'position' => 1,
'description' => 'This is a product.',
'quantity' => 1,
'currencyCode' => 'EUR',
'serviceDateFrom' => '2021-01-01',
'serviceDateTo' => '2021-01-31',
'discountAmount' => '10.0',
'discountPercentage' => 12.5,
'unitPriceInterval' => 'monthly',
'subscriptionItem' => '12345678-1234-1234-1234-123456789012',
'product' => 'Product A',
'children' => '<array>',
'group' => [
'name' => 'Group A',
'ranking' => 1
]
]
],
'title' => 'Invoice {{ invoiceNumber }}',
'introduction' => 'Thank you for your order. This is the invoice for your order.',
'closing' => 'Do not hesitate to contact us if you have any questions.',
'customFields' => [
'field1' => 'value1',
'field2' => 'value2'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "00000000-0000-0000-0000-000000000000",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"gatewayName": "wallet",
"type": "sepa_debit",
"referenceId": "<string>",
"default": true,
"status": "active",
"source": "api",
"enabled": true,
"name": "Visa (4242)",
"data": [
"<string>"
],
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"sepaMandate": {},
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"referencedInvoice": "<unknown>",
"type": "TYPE_INVOICE",
"currencyCode": "EUR",
"number": "RE-0000000001",
"status": "STATUS_DRAFT",
"creationDate": "2023-11-07T05:31:56Z",
"finalizationDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"lastReminderDate": "2023-11-07T05:31:56Z",
"lastSentAt": "2023-11-07T05:31:56Z",
"dunningLevel": 123,
"dunningStatus": "none",
"payDate": "2023-11-07T05:31:56Z",
"invoiceAddress": "<unknown>",
"internalNote": "This invoice is with a special discount.",
"title": "<string>",
"introduction": "<string>",
"closing": "<string>",
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"discountAmount": {},
"file": {
"id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
"isPrivate": true,
"mimeType": "image/jpeg",
"fileExtension": "jpg",
"fileName": "invoice.jpg",
"storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
"createdAt": "2021-01-01T00:00:00+00:00"
},
"xmlFile": {
"id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
"isPrivate": true,
"mimeType": "image/jpeg",
"fileExtension": "jpg",
"fileName": "invoice.jpg",
"storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
"createdAt": "2021-01-01T00:00:00+00:00"
},
"positions": [
{
"id": {},
"position": 123,
"quantity": 1,
"unit": {
"id": {},
"name": "Stück"
},
"unitPrice": {},
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"discountAmount": {},
"discountPercentage": 10,
"name": "My subscription product",
"description": "* my subscription product",
"taxGroup": {
"internalDescription": "19%",
"reverseChargeType": "REVERSE_CHARGE",
"type": "standard",
"id": "00000000-0000-0000-0000-000000000000"
},
"tax": {
"code": "19",
"rate": 19,
"id": "00000000-0000-0000-0000-000000000000",
"description": "19%"
},
"type": "product",
"parent": "<unknown>",
"group": {
"id": "ad8a3b9e-5b0a-4e1a-9c1a-0b9b2b8b0b0b",
"ranking": 1,
"name": "Subscription #12345"
},
"createdAt": "2020-01-01T00:00:00+00:00",
"product": {
"type": "product",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "Basic",
"description": "For small teams.",
"invoiceVisibility": "always",
"customFields": {
"field1": "value1",
"field2": "value2"
}
},
"subscriptionItem": {
"id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
"name": "Fitness M",
"description": "Everything included",
"furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
"status": "active",
"subscriptionId": "<string>"
},
"serviceDateFrom": "2020-01-01T00:00:00+00:00",
"serviceDateTo": "2020-01-01T00:00:00+00:00"
}
],
"applicatedExchangeRates": [
{
"sourceCurrencyCode": "EUR",
"destinationCurrencyCode": "CHF",
"exchangeRate": "1.135",
"exchangeRateDate": "2023-11-07T05:31:56Z"
}
],
"eInvoiceType": "zugferd211",
"leitwegId": "1234567890123",
"customFields": {
"field1": "value1",
"field2": "value2"
},
"serviceDateFrom": "2023-11-07T05:31:56Z",
"serviceDateTo": "2023-11-07T05:31:56Z",
"unpaidAmount": {},
"usageBreakdownUrl": "<string>",
"cancellationDocument": {
"number": "R2021-0001",
"id": "8d6b0f9e-5b9a-4e1a-9f0a-5e8e1a0b1b1e"
},
"dunningDisabled": true,
"sourceType": "<unknown>"
}Update draft invoice
Update a draft invoice. This is available for invoices only.
Required permissions:invoice:writecurl -X PUT \
/invoices/{id} \
--header "Content-Type: application/json" \
--header "Authorization: Bearer <token>" \
--data '{
"customerId": "12345678-1234-1234-1234-123456789012",
"customerAddressId": "12345678-1234-1234-1234-123456789012",
"paymentMethodId": "12345678-1234-1234-1234-123456789012",
"currencyCode": "EUR",
"internalNote": "This is an internal note.",
"dueDate": "2021-12-31",
"positions": [
[]
],
"title": "Invoice {{ invoiceNumber }}",
"introduction": "Thank you for your order. This is the invoice for your order.",
"closing": "Do not hesitate to contact us if you have any questions.",
"customFields": {
"field1": "value1",
"field2": "value2"
}
}'import requests
url = "https://coreapi.io/invoices/{id}"
payload = {
"customerId": "12345678-1234-1234-1234-123456789012",
"customerAddressId": "12345678-1234-1234-1234-123456789012",
"paymentMethodId": "12345678-1234-1234-1234-123456789012",
"currencyCode": "EUR",
"internalNote": "This is an internal note.",
"dueDate": "2021-12-31",
"positions": [
{
"name": "Product A",
"unitId": "12345678-1234-1234-1234-123456789012",
"unitPrice": "10.0",
"taxGroupId": "12345678-1234-1234-1234-123456789012",
"id": "12345678-1234-1234-1234-123456789012",
"position": 1,
"description": "This is a product.",
"quantity": 1,
"currencyCode": "EUR",
"serviceDateFrom": "2021-01-01",
"serviceDateTo": "2021-01-31",
"discountAmount": "10.0",
"discountPercentage": 12.5,
"unitPriceInterval": "monthly",
"subscriptionItem": "12345678-1234-1234-1234-123456789012",
"product": "Product A",
"children": "<array>",
"group": {
"name": "Group A",
"ranking": 1
}
}
],
"title": "Invoice {{ invoiceNumber }}",
"introduction": "Thank you for your order. This is the invoice for your order.",
"closing": "Do not hesitate to contact us if you have any questions.",
"customFields": {
"field1": "value1",
"field2": "value2"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: '12345678-1234-1234-1234-123456789012',
customerAddressId: '12345678-1234-1234-1234-123456789012',
paymentMethodId: '12345678-1234-1234-1234-123456789012',
currencyCode: 'EUR',
internalNote: 'This is an internal note.',
dueDate: '2021-12-31',
positions: [
{
name: 'Product A',
unitId: '12345678-1234-1234-1234-123456789012',
unitPrice: '10.0',
taxGroupId: '12345678-1234-1234-1234-123456789012',
id: '12345678-1234-1234-1234-123456789012',
position: 1,
description: 'This is a product.',
quantity: 1,
currencyCode: 'EUR',
serviceDateFrom: '2021-01-01',
serviceDateTo: '2021-01-31',
discountAmount: '10.0',
discountPercentage: 12.5,
unitPriceInterval: 'monthly',
subscriptionItem: '12345678-1234-1234-1234-123456789012',
product: 'Product A',
children: '<array>',
group: {name: 'Group A', ranking: 1}
}
],
title: 'Invoice {{ invoiceNumber }}',
introduction: 'Thank you for your order. This is the invoice for your order.',
closing: 'Do not hesitate to contact us if you have any questions.',
customFields: {field1: 'value1', field2: 'value2'}
})
};
fetch('https://coreapi.io/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/invoices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'customerId' => '12345678-1234-1234-1234-123456789012',
'customerAddressId' => '12345678-1234-1234-1234-123456789012',
'paymentMethodId' => '12345678-1234-1234-1234-123456789012',
'currencyCode' => 'EUR',
'internalNote' => 'This is an internal note.',
'dueDate' => '2021-12-31',
'positions' => [
[
'name' => 'Product A',
'unitId' => '12345678-1234-1234-1234-123456789012',
'unitPrice' => '10.0',
'taxGroupId' => '12345678-1234-1234-1234-123456789012',
'id' => '12345678-1234-1234-1234-123456789012',
'position' => 1,
'description' => 'This is a product.',
'quantity' => 1,
'currencyCode' => 'EUR',
'serviceDateFrom' => '2021-01-01',
'serviceDateTo' => '2021-01-31',
'discountAmount' => '10.0',
'discountPercentage' => 12.5,
'unitPriceInterval' => 'monthly',
'subscriptionItem' => '12345678-1234-1234-1234-123456789012',
'product' => 'Product A',
'children' => '<array>',
'group' => [
'name' => 'Group A',
'ranking' => 1
]
]
],
'title' => 'Invoice {{ invoiceNumber }}',
'introduction' => 'Thank you for your order. This is the invoice for your order.',
'closing' => 'Do not hesitate to contact us if you have any questions.',
'customFields' => [
'field1' => 'value1',
'field2' => 'value2'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "00000000-0000-0000-0000-000000000000",
"customer": {
"id": "00000000-0000-0000-0000-000000000000",
"customerNumber": "CUSTOMER-000",
"timeZone": "Europe/Berlin",
"firstName": "John",
"lastName": "Doe",
"currencyCode": "EUR",
"companyName": "Acme Inc.",
"datevId": "123456789",
"status": "STATUS_ACTIVE"
},
"paymentMethod": {
"id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
"gatewayName": "wallet",
"type": "sepa_debit",
"referenceId": "<string>",
"default": true,
"status": "active",
"source": "api",
"enabled": true,
"name": "Visa (4242)",
"data": [
"<string>"
],
"creationDate": "2024-01-15T10:30:00+00:00",
"expirationDate": "2026-12-31T23:59:59+00:00",
"sepaMandate": {},
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "max@mustermann.de",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
},
"referencedInvoice": "<unknown>",
"type": "TYPE_INVOICE",
"currencyCode": "EUR",
"number": "RE-0000000001",
"status": "STATUS_DRAFT",
"creationDate": "2023-11-07T05:31:56Z",
"finalizationDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"lastReminderDate": "2023-11-07T05:31:56Z",
"lastSentAt": "2023-11-07T05:31:56Z",
"dunningLevel": 123,
"dunningStatus": "none",
"payDate": "2023-11-07T05:31:56Z",
"invoiceAddress": "<unknown>",
"internalNote": "This invoice is with a special discount.",
"title": "<string>",
"introduction": "<string>",
"closing": "<string>",
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"discountAmount": {},
"file": {
"id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
"isPrivate": true,
"mimeType": "image/jpeg",
"fileExtension": "jpg",
"fileName": "invoice.jpg",
"storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
"createdAt": "2021-01-01T00:00:00+00:00"
},
"xmlFile": {
"id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
"isPrivate": true,
"mimeType": "image/jpeg",
"fileExtension": "jpg",
"fileName": "invoice.jpg",
"storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
"createdAt": "2021-01-01T00:00:00+00:00"
},
"positions": [
{
"id": {},
"position": 123,
"quantity": 1,
"unit": {
"id": {},
"name": "Stück"
},
"unitPrice": {},
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"discountAmount": {},
"discountPercentage": 10,
"name": "My subscription product",
"description": "* my subscription product",
"taxGroup": {
"internalDescription": "19%",
"reverseChargeType": "REVERSE_CHARGE",
"type": "standard",
"id": "00000000-0000-0000-0000-000000000000"
},
"tax": {
"code": "19",
"rate": 19,
"id": "00000000-0000-0000-0000-000000000000",
"description": "19%"
},
"type": "product",
"parent": "<unknown>",
"group": {
"id": "ad8a3b9e-5b0a-4e1a-9c1a-0b9b2b8b0b0b",
"ranking": 1,
"name": "Subscription #12345"
},
"createdAt": "2020-01-01T00:00:00+00:00",
"product": {
"type": "product",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "Basic",
"description": "For small teams.",
"invoiceVisibility": "always",
"customFields": {
"field1": "value1",
"field2": "value2"
}
},
"subscriptionItem": {
"id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
"name": "Fitness M",
"description": "Everything included",
"furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
"status": "active",
"subscriptionId": "<string>"
},
"serviceDateFrom": "2020-01-01T00:00:00+00:00",
"serviceDateTo": "2020-01-01T00:00:00+00:00"
}
],
"applicatedExchangeRates": [
{
"sourceCurrencyCode": "EUR",
"destinationCurrencyCode": "CHF",
"exchangeRate": "1.135",
"exchangeRateDate": "2023-11-07T05:31:56Z"
}
],
"eInvoiceType": "zugferd211",
"leitwegId": "1234567890123",
"customFields": {
"field1": "value1",
"field2": "value2"
},
"serviceDateFrom": "2023-11-07T05:31:56Z",
"serviceDateTo": "2023-11-07T05:31:56Z",
"unpaidAmount": {},
"usageBreakdownUrl": "<string>",
"cancellationDocument": {
"number": "R2021-0001",
"id": "8d6b0f9e-5b9a-4e1a-9f0a-5e8e1a0b1b1e"
},
"dunningDisabled": true,
"sourceType": "<unknown>"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
Invoice identifier
Body
The updated Invoice resource
The customer ID of the invoice.
"12345678-1234-1234-1234-123456789012"
The customer address ID which should be used for this invoice. If not provided, we will use the default invoice or address, or if not defined, the default address.
"12345678-1234-1234-1234-123456789012"
The customer's payment method ID which should be used for this invoice. If not provided, we will use the default payment method.
"12345678-1234-1234-1234-123456789012"
The currency code of the invoice. All position item currencies will be converted to this currency. If not provided, the default currency of the customer will be used.
"EUR"
The internal note of the invoice.
1 - 255"This is an internal note."
If not provided, we use the tenant default setting for the due date.
"2021-12-31"
The positions of the invoice. Can be empty and filled later.
Show child attributes
Show child attributes
The title of the invoice. If none is provided, we use the title from the default invoice template.
255"Invoice {{ invoiceNumber }}"
The introduction of the invoice. If none is provided, we use the introduction from the default invoice template.
5000"Thank you for your order. This is the invoice for your order."
The closing of the invoice. If none is provided, we use the closing from the default invoice template.
5000"Do not hesitate to contact us if you have any questions."
Custom fields for the entity. The keys are the field names and the values are the field values. They need to be configured under "/custom-fields" in the API documentation. The input is validated against the configuration. For more details see Custom Fields Guide
Show child attributes
Show child attributes
{ "field1": "value1", "field2": "value2" }
Antwort
Invoice resource updated
The unique identifier of the invoice.
"00000000-0000-0000-0000-000000000000"
The customer of the invoice.
Show child attributes
Show child attributes
The payment method which should be used to fullfill the payment of the invoice.
Show child attributes
Show child attributes
The referenced invoice of the invoice. This could be in case of a reminder, refund etc.
The type of the invoice.
TYPE_INVOICE, TYPE_CREDIT, TYPE_REFUND, TYPE_REMINDER, TYPE_CANCEL, TYPE_DUNNING "TYPE_INVOICE"
The currency code of the invoice. If multiple currency codes will be used in the positions, they will be converted to that base currency.
"EUR"
The document id of the invoice. This will be generated, when the invoice will be finalized.
"RE-0000000001"
STATUS_DRAFT, STATUS_PAID, STATUS_CANCELLED, STATUS_CLOSED, STATUS_REFUNDED, STATUS_REMINDED, STATUS_UNPAID, STATUS_NEW, STATUS_FINALIZING reminder, dunning, none "none"
The invoice address of the invoice.
The notice of the invoice.
"This invoice is with a special discount."
The net amount of the invoice.
The total net discount amount of the invoice.
Show child attributes
Show child attributes
The xml representation of the invoice in EN16931 or x-Rechnung format.
Show child attributes
Show child attributes
The positions of the invoice.
Show child attributes
Show child attributes
The applicated exchange rates of the invoice, fetched from the european central bank.
Show child attributes
Show child attributes
The einvoice generated xml file format.
factorx,zugferd211 "zugferd211"
The leitwegid used for einvoice. This is only set, when the eInvoiceType is not null.
"1234567890123"
Custom fields for the entity. The keys are the field names and the values are the field values. They need to be configured under "/custom-fields" in the API documentation. The input is validated against the configuration. For more details see Custom Fields Guide
Show child attributes
Show child attributes
{ "field1": "value1", "field2": "value2" }
The earliest service date of all positions.
The latest service date of all positions.
Public url to view the detailed usage breakdown of this invoice.
The referenced cancellation document.
Show child attributes
Show child attributes
{
"number": "R2021-0001",
"id": "8d6b0f9e-5b9a-4e1a-9f0a-5e8e1a0b1b1e"
}
Dunning is disabled for this invoice.
Where the invoice was created from.
Possible values:
cart: The invoice was created from a cart.subscription: The invoice was created from a subscription billing run.manual: The invoice was created by a user.
War diese Seite hilfreich?